pre>code.sourceCode {
  white-space: pre;
  position: relative;
}

pre>code.sourceCode>span {
  line-height: 1.25;
}

pre>code.sourceCode>span:empty {
  height: 1.2em;
}

/* .sourceCode { */
/*   overflow: visible; */
/* } */

code.sourceCode>span {
  color: inherit;
  text-decoration: inherit;
}

div.sourceCode {
  margin: 1em 0;
}

pre.sourceCode {
  margin: 0;
}

@media screen {
  div.sourceCode {
    overflow: auto;
  }
}

@media print {
  pre>code.sourceCode {
    white-space: pre-wrap;
  }

  pre>code.sourceCode>span {
    text-indent: -5em;
    padding-left: 5em;
  }
}

pre.numberSource code {
  counter-reset: source-line 0;
}

pre.numberSource code>span {
  position: relative;
  left: -4em;
  counter-increment: source-line;
}

pre.numberSource code>span>a:first-child::before {
  content: counter(source-line);
  position: relative;
  left: -1em;
  text-align: right;
  vertical-align: baseline;
  border: none;
  display: inline-block;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  padding: 0 4px;
  width: 4em;
  background-color: #2a211c;
  color: #bdae9d;
}

pre.numberSource {
  margin-left: 3em;
  border-left: 1px solid #bdae9d;
  padding-left: 4px;
}

div.sourceCode {
  color: #bdae9d;
  background-color: #2a211c;
}

@media screen {
  pre>code.sourceCode>span>a:first-child::before {
    text-decoration: underline;
  }
}

code span.al {
  color: #ffff00;
}

/* Alert */
code span.an {
  color: #0066ff;
  font-weight: bold;
  font-style: italic;
}

/* Annotation */
code span.at {}

/* Attribute */
code span.bn {
  color: #44aa43;
}

/* BaseN */
code span.bu {}

/* BuiltIn */
code span.cf {
  color: #43a8ed;
  font-weight: bold;
}

/* ControlFlow */
code span.ch {
  color: #049b0a;
}

/* Char */
code span.cn {}

/* Constant */
code span.co {
  color: #0066ff;
  font-weight: bold;
  font-style: italic;
}

/* Comment */
code span.do {
  color: #0066ff;
  font-style: italic;
}

/* Documentation */
code span.dt {
  text-decoration: underline;
}

/* DataType */
code span.dv {
  color: #44aa43;
}

/* DecVal */
code span.er {
  color: #ffff00;
  font-weight: bold;
}

/* Error */
code span.ex {}

/* Extension */
code span.fl {
  color: #44aa43;
}

/* Float */
code span.fu {
  color: #ff9358;
  font-weight: bold;
}

/* Function */
code span.im {}

/* Import */
code span.in {
  color: #0066ff;
  font-weight: bold;
  font-style: italic;
}

/* Information */
code span.kw {
  color: #43a8ed;
  font-weight: bold;
}

/* Keyword */
code span.op {}

/* Operator */
code span.pp {
  font-weight: bold;
}

/* Preprocessor */
code span.sc {
  color: #049b0a;
}

/* SpecialChar */
code span.ss {
  color: #049b0a;
}

/* SpecialString */
code span.st {
  color: #049b0a;
}

/* String */
code span.va {}

/* Variable */
code span.vs {
  color: #049b0a;
}

/* VerbatimString */
code span.wa {
  color: #ffff00;
  font-weight: bold;
}

/* Warning */
